{
    attributes = (
        {
            columnName = ADR_ORDRE; 
            externalType = NUMBER; 
            name = adrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = E_MAIL; 
            externalType = VARCHAR2; 
            name = eMail; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = RPA_PRINCIPAL; 
            externalType = VARCHAR2; 
            name = rpaPrincipal; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = RPA_VALIDE; 
            externalType = VARCHAR2; 
            name = rpaValide; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = TADR_CODE; 
            externalType = VARCHAR2; 
            name = tadrCode; 
            valueClassName = NSString; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (persId, adrOrdre, tadrCode); 
    className = EOGenericRecord; 
    classProperties = (
        persId, 
        adrOrdre, 
        eMail, 
        rpaPrincipal, 
        rpaValide, 
        tadrCode, 
        dCreation, 
        dModification, 
        toGrhumAdresse
    ); 
    externalName = GRHUM.REPART_PERSONNE_ADRESSE; 
    fetchSpecificationDictionary = {}; 
    name = GrhumRepartPersonneAdresse; 
    primaryKeyAttributes = (persId, adrOrdre, tadrCode); 
    relationships = (
        {
            destination = GrhumAdresse; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrOrdre; }); 
            name = toGrhumAdresse; 
        }
    ); 
}
